#---------------------------------------------------------------------------
IF(BBTK_CORE_PACKAGE)
  # If a core package set doc options from bbtk global ones
  #IF (BUILD_BBTK_DOC_PACKAGE)
  #  SET(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC ON)
  #ELSE (BUILD_BBTK_DOC_PACKAGE)
  #  SET(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC OFF)
  #ENDIF (BUILD_BBTK_DOC_PACKAGE)
  IF (BUILD_BBTK_DOC_DOXYGEN)
    SET(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC ON)
  ELSE (BUILD_BBTK_DOC_DOXYGEN)
    SET(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC OFF)
  ENDIF (BUILD_BBTK_DOC_DOXYGEN)
ELSE(BBTK_CORE_PACKAGE)
  # If not a core package 
  # Create the build doc options
  #OPTION(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC 
  #  "Build the bbtk package ${BBTK_PACKAGE_NAME} html documentation ?" OFF)
  #SWITCH_ON_IF_BUILD_ALL(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC)
  OPTION(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC 
    "Build the bbtk package ${BBTK_PACKAGE_NAME} doxygen documentation ?" OFF)
  SWITCH_ON_IF_BUILD_ALL(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC)
ENDIF(BBTK_CORE_PACKAGE)
#---------------------------------------------------------------------------

#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# Doxygen
#----------------------------------------------------------------------------
IF(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC)
  SET(${BBTK_PACKAGE_NAME}_DOXYGEN_REL_PATH ${BBTK_PACKAGE_NAME})
  SUBDIRS(doxygen)
ENDIF(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_DOXYGEN_DOC)
#----------------------------------------------------------------------------



#----------------------------------------------------------------------------
# bbdoc
#---------------------------------------------------------------------------
#IF(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC)
  SUBDIRS(bbdoc)
#ENDIF(BUILD_BBTK_PACKAGE_${BBTK_PACKAGE_NAME}_HTML_DOC)
#---------------------------------------------------------------------------
