#ifndef __bbtkQtBlackBoxDialog_h_INCLUDED__
#define __bbtkQtBlackBoxDialog_h_INCLUDED__

#ifdef USE_QT


#include "bbtkQtBlackBox.h"

#include <QDialog>
#include "ui_bbtkQtBlackBoxDialog.h"

namespace bbtk
{

  //=========================================================================
  // QtBlackBoxDialog
  //=========================================================================
  class QtBlackBoxDialog : public QDialog,
			   private Ui::bbtkQtBlackBoxDialog
  {
    Q_OBJECT
  public:
    QtBlackBoxDialog(QtBlackBox::Pointer box,
		     QWidget *parent,
		     const std::string& title,
		     int width, int height);
    ~QtBlackBoxDialog();
  private:
    QtBlackBox::WeakPointer mBox;
  };
  //=========================================================================

}

#endif
#endif

