/*=========================================================================                                                                               
  Program:   bbtk
  Module:    $RCSfile: bbtkWxGUIPackageBrowser.h,v $
  Language:  C++
  Date:      $Date: 2008/10/17 08:18:15 $
  Version:   $Revision: 1.5 $
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         


/**
 * \brief Short description in one line
 * 
 * Long description which 
 * can span multiple lines
 */
/**
 * \file 
 * \brief 
 */
/**
 * \class bbtk::
 * \brief 
 */

/*
#ifdef _USE_WXWIDGETS_

	
#ifndef __bbtkWxGUIPackageBrowser_h__
#define __bbtkWxGUIPackageBrowser_h__


#include "bbtkWx.h"

#include "bbtkInterpreter.h"

class wxTreeMultiCtrl;

namespace bbtk
{
  //================================================================
  class WxGUIPackageBrowser;
  //================================================================
 

  //================================================================
  /// Abstract class which defines the callbacks invoked by WxGUIPackageBrowser
  class BBTK_EXPORT WxGUIPackageBrowserUser
  {
  public:
    WxGUIPackageBrowserUser() {}
    ~WxGUIPackageBrowserUser() {}
    /// Callback invoked when the 'run' button is pressed
    virtual void WxGUIPackageBrowserRun() {}
  };
  //================================================================

  //================================================================
  class WxGUIPackageBrowserBlackBox : public wxPanel
  {
  public:
    WxGUIPackageBrowserBlackBox(wxWindow* parent,
				WxGUIPackageBrowser* browser,
				BlackBoxDescriptor::Pointer descr);
    ~WxGUIPackageBrowserBlackBox();

  private:
    WxGUIPackageBrowser* mBrowser;
    BlackBoxDescriptor::Pointer mDescriptor;
  } ;
  //================================================================


  //================================================================
  /// A package browser panel
  class BBTK_EXPORT WxGUIPackageBrowser : public wxPanel
  {
  public:
    WxGUIPackageBrowser( wxWindow *parent, 
			 WxGUIPackageBrowserUser* user = 0 );
    ~WxGUIPackageBrowser();

    void IncludeAll();
    void BuildFromFactory(Factory::Pointer f);

  private:
    WxGUIPackageBrowserUser* mUser;
    Interpreter::Pointer mInterpreter;
    wxTreeMultiCtrl* mTree;

  };
  //================================================================

  
  //================================================================
  /// Browser in a frame 
  class BBTK_EXPORT WxGUIPackageBrowserWindow : public wxFrame
					      //, public WxGUICommandUser
  {
  public:
    WxGUIPackageBrowserWindow( wxWindow *parent, wxString title, wxSize size);
    ~WxGUIPackageBrowserWindow();
    //    void Open(const std::string& filename) { mBrowser->Open(filename); }
    //    void WxGUICommandEnter(const std::string& s);


  private :
    
    WxGUIPackageBrowser* mBrowser;
  };
   //================================================================
 

} // namespace bbtk


#endif // __bbtkWxGUIPackageBrowser_h__

#endif //_USE_WXWIDGETS_
*/
