#include "bbqtOutputText.h"
#include "bbqtPackage.h"
#include <QLabel>
 
namespace bbqt
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(qt,QOutputText)
BBTK_BLACK_BOX_IMPLEMENTATION(QOutputText,bbtk::QtBlackBox);

void QOutputText::Process()
{
   std::string msg;
    if (bbGetInputTitle()!="")
      {
	msg = bbGetInputTitle()+": " + bbGetInputIn();
      }
    else
      {
	msg = bbGetInputIn();
      }
    ((QLabel*)bbGetOutputWidget())->setText( msg.c_str() );
    //SetLabel( bbtk::std2wx( msg ) ); 
}

	
void QOutputText::CreateWidget(QWidget* parent)
{
  bbSetOutputWidget( new 
		     QLabel( parent ) );
		     //wxStaticText ( bbGetWxParent() , -1 , _T("") ) );
   Process();
}
	
	
	void QOutputText::bbUserSetDefaultValues()
	{
		bbSetInputIn("");
		bbSetInputTitle("");  
	}
	
	void QOutputText::bbUserInitializeProcessing()
	{
	}
	
	void QOutputText::bbUserFinalizeProcessing()
	{
	}
	

}
// EO namespace bbqt


