/*=========================================================================                                                                               
  Program:   bbtk
  Module:    $RCSfile: bbstdConcatStrings.cxx,v $
  Language:  C++
  Date:      $Date: 2009/05/14 14:43:38 $
  Version:   $Revision: 1.7 $
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         


#include "bbstdConcatStrings.h"
#include "bbstdPackage.h"

namespace bbstd
{
  BBTK_ADD_BLACK_BOX_TO_PACKAGE(std,ConcatStrings);
  BBTK_BLACK_BOX_IMPLEMENTATION(ConcatStrings,bbtk::AtomicBlackBox);
  
  void ConcatStrings::bbUserSetDefaultValues() 
  { 
    bbSetInputIn1("");
    bbSetInputIn2("");
    bbSetInputIn3("");
    bbSetInputIn4("");
    bbSetInputIn5("");
    bbSetInputIn6("");
    bbSetInputIn7("");
    bbSetInputIn8("");
    bbSetInputIn9("");
    bbSetInputIn10("");
  }
  
  void ConcatStrings::bbUserInitializeProcessing() 
  { 
  }
  void ConcatStrings::bbUserFinalizeProcessing() 
  { 
  }
  
  void ConcatStrings::DoProcess()
  {
    bbSetOutputOut( bbGetInputIn1() + 
                    bbGetInputIn2() +
                    bbGetInputIn3() +
                    bbGetInputIn4() +
                    bbGetInputIn5() +
                    bbGetInputIn6() +
                    bbGetInputIn7() +
                    bbGetInputIn8() +
                    bbGetInputIn9() +
                    bbGetInputIn10()  );	  
  }
}
// EO namespace bbstd


